"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _prevButton = _interopRequireDefault(require("./prev-button"));
var _nextButton = _interopRequireDefault(require("./next-button"));
var _selectors = _interopRequireDefault(require("./selectors"));
var _lodash = require("lodash");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Header = ({
  navigationPosition,
  styles = {},
  classNames = {}
}) => {
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [defaultStyles.headerContainer, styles === null || styles === void 0 ? void 0 : styles.header],
    className: classNames.header
  }, navigationPosition === 'left' ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: defaultStyles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: defaultStyles.navigation
  }, /*#__PURE__*/_react.default.createElement(_prevButton.default, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/_react.default.createElement(_nextButton.default, {
    style: styles.button_next,
    className: classNames.button_next
  })), /*#__PURE__*/_react.default.createElement(_selectors.default, {
    position: "left"
  })) : navigationPosition === 'right' ? /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: defaultStyles.container
  }, /*#__PURE__*/_react.default.createElement(_selectors.default, {
    position: "right"
  }), /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: defaultStyles.navigation
  }, /*#__PURE__*/_react.default.createElement(_prevButton.default, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/_react.default.createElement(_nextButton.default, {
    style: styles.button_next,
    className: classNames.button_next
  }))) : /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: defaultStyles.container
  }, /*#__PURE__*/_react.default.createElement(_prevButton.default, {
    style: styles.button_prev,
    className: classNames.button_prev
  }), /*#__PURE__*/_react.default.createElement(_selectors.default, {
    position: "around"
  }), /*#__PURE__*/_react.default.createElement(_nextButton.default, {
    style: styles.button_next,
    className: classNames.button_next
  })));
};
const defaultStyles = _reactNative.StyleSheet.create({
  headerContainer: {
    paddingVertical: 3
  },
  container: {
    padding: 5,
    gap: 10,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'space-between'
  },
  navigation: {
    flexDirection: 'row'
  }
});
const customComparator = (prev, next) => {
  const areEqual = prev.PrevIcon === next.PrevIcon && prev.NextIcon === next.NextIcon && prev.navigationPosition === next.navigationPosition && (0, _lodash.isEqual)(prev.styles, next.styles) && (0, _lodash.isEqual)(prev.classNames, next.classNames);
  return areEqual;
};
var _default = exports.default = /*#__PURE__*/(0, _react.memo)(Header, customComparator);
//# sourceMappingURL=index.js.map